Package org.eclipse.ecf.osgi.services.remoteserviceadmin

## Class EndpointDescriptionWriter.MultiValueProperty

- java.lang.Object
- - org.eclipse.ecf.osgi.services.remoteserviceadmin.EndpointDescriptionWriter.ComplexProperty
  - - org.eclipse.ecf.osgi.services.remoteserviceadmin.EndpointDescriptionWriter.MultiValueProperty

Direct Known Subclasses:
  `EndpointDescriptionWriter.ArrayProperty`, `EndpointDescriptionWriter.ListProperty`, `EndpointDescriptionWriter.SetProperty`

Enclosing class:
  EndpointDescriptionWriter

    protected abstract class EndpointDescriptionWriter.MultiValueProperty
    extends EndpointDescriptionWriter.ComplexProperty

### Constructor Summary

Constructors
`MultiValueProperty​(String name, Object value)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `writeProperty​(int indentLevel, Writer writer)`

### Methods inherited from class org.eclipse.ecf.osgi.services.remoteserviceadmin.EndpointDescriptionWriter.ComplexProperty

`getName, getValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MultiValueProperty

    public MultiValueProperty​(String name,
                              Object value)

### Method Detail

#### writeProperty

    public void writeProperty​(int indentLevel,
                              Writer writer)
                       throws IOException

Specified by:
  `writeProperty` in class `EndpointDescriptionWriter.ComplexProperty`
Throws:
  `IOException`